Get customers

GET/customers/{customerId}

Returns the details of a customer.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

Path parameters

  • customerIdstringrequired

Responses

200returns the details of a customer

returns the details of a customer

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • customerobject
      Show child attributesHide child attributes
      • businessobject
        Show child attributesHide child attributes
        • bankAccountsarray of objects
        • attachmentsarray of objects
        • collaboratorsarray of objects
        • idstring
        • namestring
        • ownerobject
        • planobject
      • usernull
      • idstring
      • createdAtstring
      • updatedAtstring
      • deletedAtstring
      • deletedboolean
      • namestring
      • emailstring
      • phoneobject
        Show child attributesHide child attributes
        • areaCodestring
        • dddstring
        • numberstring
        • isMobileboolean
      • addressobject
        Show child attributesHide child attributes
        • zipCodestring
        • streetstring
        • numberstring
        • complementstring
        • neighborhoodstring
        • citystring
        • statestring

          The state must send an abbreviation (Example: sp)

      • deliveryAddressobject
        Show child attributesHide child attributes
        • zipCodestring
        • streetstring
        • numberstring
        • complementstring
        • neighborhoodstring
        • citystring
        • statestring

          The state must send an abbreviation (Example: sp)

      • documentobject
        Show child attributesHide child attributes
        • typestring

          Possible values:CPFCNPJ

        • numberstring
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

404The customer does not exist or does not belong to your business.

The customer does not exist or does not belong to your business.

Content typeapplication/jsonobject

  • statusCodeintegerrequired

    HTTP status code.

  • messagestringrequired

    Explanation of the error.

  • errorstring

    Name of the HTTP status, such as Bad Request or Conflict.

  • errorCodestring

    Code that identifies the error. Present only on some errors.

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error